Bug 722557 (CVE-2011-2695) - CVE-2011-2695 kernel: ext4: kernel panic when writing data to the last block of sparse file
Summary: CVE-2011-2695 kernel: ext4: kernel panic when writing data to the last block ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2695
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 722562 722563 722564 722568 722569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-15 16:20 UTC by Petr Matousek
Modified: 2019-09-29 12:45 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:49:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description Petr Matousek 2011-07-15 16:20:18 UTC
If an extent exists which includes the block right before the maximum file offset, and the block for the maximum file offset is written, the kernel panics. For 4KB block size, the problem only occurs on x86_64 architecture. For 1KB or 2KB block size, the problem occurs on both i386 and x86_64.

Local unprivileged users can use this flaw to crash the system when ext4 filesystem is in use.

Upstream fix:
http://git.kernel.org/linus/f17722f917b2f21497deb6edc62fb1683daa08e6

References:
http://www.spinics.net/lists/linux-ext4/msg25697.html

Comment 4 Petr Matousek 2011-07-15 16:52:58 UTC
Statement:

This has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1386.html,  https://rhn.redhat.com/errata/RHSA-2011-1189.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not include support for EXT4 filesystem.

Comment 6 errata-xmlrpc 2011-08-23 14:42:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 7 errata-xmlrpc 2011-09-12 19:44:44 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Comment 8 errata-xmlrpc 2011-10-20 17:28:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 9 Eugene Teo (Security Response) 2012-04-10 00:59:53 UTC
This issue has been addressed in rhel-6.1.z via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html


Note You need to log in before you can comment on or make changes to this bug.